> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.awork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server.

# Updates the capacity of the specified user.

PUT https://api.awork.com/api/v1/users/{userId}/capacity
Content-Type: application/json

Updates the capacity of the specified user. The capacity is stored for the user's planning. The user must have permission to access the requested resource.

Reference: https://developers.awork.com/apiv1/user-capacities/put-user-capacity-by-user-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `userId` (string, required) — The user whose capacity should be updated.

### Body (application/json)

This endpoint expects an UserCapacityForm.

- `mon` (integer, optional, nullable) — The user's capacity on Monday, in seconds.
- `tue` (integer, optional, nullable) — The user's capacity on Tuesday, in seconds.
- `wed` (integer, optional, nullable) — The user's capacity on Wednesday, in seconds.
- `thu` (integer, optional, nullable) — The user's capacity on Thursday, in seconds.
- `fri` (integer, optional, nullable) — The user's capacity on Friday, in seconds.
- `sat` (integer, optional, nullable) — The user's capacity on Saturday, in seconds.
- `sun` (integer, optional, nullable) — The user's capacity on Sunday, in seconds.
- `capacityPerWeek` (integer, optional, nullable, deprecated) — Backward compatibility property. The capacity of the user per week, in seconds. If this value is null, and all the daily values are null as well, then the default value will be set to the default value.

## Response

### 200

OK

- `userId` (string, optional) — The id of the user this capacity belongs to.
- `weeklyCapacity` (UserWeeklyCapacity, optional)
- `createdOn` (string, optional) — The date this user capacity was created.
- `createdBy` (string, optional) — The id of the user who created this user capacity.
- `updatedOn` (string, optional) — The date when this user capacity was last updated.
- `updatedBy` (string, optional) — The id of the user who updated the user capacity.
- `capacityPerWeek` (integer, optional, deprecated) — The capacity of the user per week, in seconds.

## Errors

### 401 Unauthorized Error

Unauthorized

- `code` (string, required) — The error code.
- `description` (string, required) — The description of the error.
- `link` (string, required) — The link to the API documentation page.
- `details` (list of string, optional, nullable) — A list of details describing the error.
- `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property.
- `traceId` (string, optional, nullable) — The request trace id for tracking the request.

## Types

### UserWeeklyCapacity

- `mon` (integer, optional) — The user's capacity on Monday, in seconds.
- `tue` (integer, optional) — The user's capacity on Tuesday, in seconds.
- `wed` (integer, optional) — The user's capacity on Wednesday, in seconds.
- `thu` (integer, optional) — The user's capacity on Thursday, in seconds.
- `fri` (integer, optional) — The user's capacity on Friday, in seconds.
- `sat` (integer, optional) — The user's capacity on Saturday, in seconds.
- `sun` (integer, optional) — The user's capacity on Sunday, in seconds.

### ValidationErrorResponse

The validation error response.

- `property` (string, optional, nullable) — The name of the property that failed validation.
- `message` (string, optional, nullable) — The reason why this property failed validation.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "userId": "123e4567-e89b-12d3-a456-426614174000",
  "weeklyCapacity": {
    "mon": 28800,
    "tue": 28800,
    "wed": 28800,
    "thu": 28800,
    "fri": 28800,
    "sat": 0,
    "sun": 0
  },
  "createdOn": "2024-01-15T09:30:00Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedOn": "2024-01-15T09:30:00Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "capacityPerWeek": 126000
}
```

**SDK Code**

```python
import requests

url = "https://api.awork.com/api/v1/users/userId/capacity"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.awork.com/api/v1/users/userId/capacity';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.awork.com/api/v1/users/userId/capacity"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.awork.com/api/v1/users/userId/capacity")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.awork.com/api/v1/users/userId/capacity")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.awork.com/api/v1/users/userId/capacity', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.awork.com/api/v1/users/userId/capacity");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/users/userId/capacity")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```